<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'transferts_argent';

		/* data for selected record, or defaults if none is selected */
		var data = {
			emetteur: <?php echo json_encode(array('id' => $rdata['emetteur'], 'value' => $rdata['emetteur'], 'text' => $jdata['emetteur'])); ?>,
			nni_emetteur: <?php echo json_encode($jdata['nni_emetteur']); ?>,
			phone_emetteur: <?php echo json_encode($jdata['phone_emetteur']); ?>,
			adresse_emetteur: <?php echo json_encode($jdata['adresse_emetteur']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for emetteur */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'emetteur' && d.id == data.emetteur.id)
				return { results: [ data.emetteur ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for emetteur autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'emetteur' && d.id == data.emetteur.id){
				$j('#nni_emetteur' + d[rnd]).html(data.nni_emetteur);
				$j('#phone_emetteur' + d[rnd]).html(data.phone_emetteur);
				$j('#adresse_emetteur' + d[rnd]).html(data.adresse_emetteur);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

